%bcond_with bootstrap

Name:           apiguardian
Version:        1.1.2
Release:        %mkrel 6
Group:          Development/Java
Summary:        API Guardian Java annotation
License:        ASL 2.0
URL:            https://github.com/apiguardian-team/apiguardian
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/apiguardian-team/apiguardian/archive/r%{version}.tar.gz

Source100:      https://repo1.maven.org/maven2/org/apiguardian/apiguardian-api/%{version}/apiguardian-api-%{version}.pom

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
%endif

%description
API Guardian indicates the status of an API element and therefore its
level of stability as well.  It is used to annotate public types,
methods, constructors, and fields within a framework or application in
order to publish their API status and level of stability and to
indicate how they are intended to be used by consumers of the API.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%autosetup -p1 -n apiguardian-r%{version}
find -name \*.jar -delete
cp -p %{SOURCE100} pom.xml

mv src/module/java/* src/main/java

# Inject OSGi manifest required by Eclipse
%pom_xpath_inject pom:project "
  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <artifactId>maven-jar-plugin</artifactId>
          <configuration>
            <archive>
              <manifestEntries>
                <Implementation-Title>apiguardian-api</Implementation-Title>
                <Implementation-Vendor>apiguardian.org</Implementation-Vendor>
                <Implementation-Version>%{version}</Implementation-Version>
                <Specification-Title>apiguardian-api</Specification-Title>
                <Specification-Vendor>apiguardian.org</Specification-Vendor>
                <Specification-Version>%{version}</Specification-Version>
                <!-- OSGi metadata required by Eclipse -->
                <Bundle-ManifestVersion>2</Bundle-ManifestVersion>
                <Bundle-SymbolicName>org.apiguardian</Bundle-SymbolicName>
                <Bundle-Version>%{version}</Bundle-Version>
                <Export-Package>org.apiguardian.api;version=\"%{version}\"</Export-Package>
              </manifestEntries>
            </archive>
          </configuration>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-compiler-plugin</artifactId>
          <executions>
            <execution>
              <id>default-compile</id>
              <goals>
                <goal>compile</goal>
              </goals>
              <configuration>
                <release>8</release>
                <excludes>
                  <exclude>**/module-info.java</exclude>
                </excludes>
              </configuration>
            </execution>
            <execution>
              <id>module-info</id>
              <goals>
                <goal>compile</goal>
              </goals>
              <configuration>
                <release>9</release>
                <includes>
                  <include>**/module-info.java</include>
                </includes>
              </configuration>
            </execution>
          </executions>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.1.2-6.mga10
+ Revision: 2232628
- Mageia 10 Mass Rebuild

* Mon Dec 23 2024 daviddavid <daviddavid> 1.1.2-5.mga10
+ Revision: 2129158
- Rebuilt for java-21-openjdk as system jdk

* Wed May 22 2024 ns80 <ns80> 1.1.2-4.mga10
+ Revision: 2065914
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 1.1.2-3.mga9
+ Revision: 1871009
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.1.2-2.mga9
+ Revision: 1870204
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.1.2-1.mga9
+ Revision: 1863318
- New version 1.1.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1690609
- Update to version 1.1.1

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1527671
- Mageia 8 Mass Rebuild

* Mon Jul 22 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1423450
- Update to version 1.1.0

* Tue Dec 04 2018 guillomovitch <guillomovitch> 1.0.0-1.mga7
+ Revision: 1338206
- imported package apiguardian

